- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# peoSeqTransform< EOT > Class Template Reference

The peoSeqTransform represent a wrapper for offering the possibility of using EO derived transform operators along with the ParadisEO evolutionary algorithms. More...

`#include <peoSeqTransform.h>`

Inheritance diagram for peoSeqTransform< EOT >:

List of all members.

## Public Member Functions
| peoSeqTransform (eoTransform< EOT > &__trans)
| Constructor function - sets an internal reference towards the specified EO-derived transform object.
void | operator() (eoPop< EOT > &__pop)
| Operator for applying the specified transform operators on each individual of the given population.
virtual void | packData ()
| Interface function for providing a link with the parallel architecture of the ParadisEO framework.
virtual void | unpackData ()
| Interface function for providing a link with the parallel architecture of the ParadisEO framework.
virtual void | execute ()
| Interface function for providing a link with the parallel architecture of the ParadisEO framework.
virtual void | packResult ()
| Interface function for providing a link with the parallel architecture of the ParadisEO framework.
virtual void | unpackResult ()
| Interface function for providing a link with the parallel architecture of the ParadisEO framework.
## Private Attributes
eoTransform< EOT > & | trans

## Detailed Description

### template<class EOT>
class peoSeqTransform< EOT >

The peoSeqTransform represent a wrapper for offering the possibility of using EO derived transform operators along with the ParadisEO evolutionary algorithms.

A minimal set of interface functions is also provided for creating the link with the parallel architecture of the ParadisEO framework.

Definition at line 35 of file peoSeqTransform.h.

## Constructor & Destructor Documentation

template<class EOT>
peoSeqTransform< EOT >::peoSeqTransform | ( | eoTransform< EOT > & | __trans | ) |

  | Constructor function - sets an internal reference towards the specified EO-derived transform object. Parameters:
  | eoTransform< | EOT >& __trans - EO-derived transform object including crossover and mutation operators.
Definition at line 70 of file peoSeqTransform.h.

## Member Function Documentation

template<class EOT>
void peoSeqTransform< EOT >::operator() | ( | eoPop< EOT > & | __pop | ) |

  | Operator for applying the specified transform operators on each individual of the given population. Parameters:
  | eoPop< | EOT >& __pop - population to be transformed by applying the crossover and mutation operators.
Definition at line 75 of file peoSeqTransform.h. References peoSeqTransform< EOT >::trans.

The documentation for this class was generated from the following file:

- peoSeqTransform.h